mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090

dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  nameserver:
    - 8.8.8.8
    - 1.1.1.1

proxies:
  - name: "xray-reality"
    type: vless
    server: reality.clawmama.run
    port: 8443
    uuid: 3312fd80-be72-42cc-ae57-82e3667659eb
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    reality-opts:
      public-key: "ERYDPzcJPAxLe74G4AaguTBY9dk8C0uNAr0pFedFRk4"
      short-id: "3c2423ab1ad2acea"
    client-fingerprint: chrome
    servername: www.microsoft.com

proxy-groups:
  - name: "Proxy"
    type: select
    proxies:
      - xray-reality
      - DIRECT

rules:
  - GEOIP,CN,DIRECT
  - MATCH,Proxy
